Subject: bug#24926: ls output has been made ugly

From: "L. A. Walsh" <[email-masked]>
Date: Fri, 11 Nov 2016 13:25:56 -0800

Eric Blake wrote:
>
> If the idea is that the quoting is there to make copy-and-pasting into a
> shell command line easier, then there is nothing we can do that is less
> aggressive, since failing to quote spaces changes what the shell will
> do. 
----
    I assume you are talking about "quoting-style=shell-always"
and not the conditional quoting you get for "quoting-style=shell"?

>  If the idea is that the quoting should only be added to avoid
> ambiguous situations, then maybe you are right that we can add further
> heuristics to the quoting algorithm to disable quotes on output that is
> unambiguous, even if it can't be pasted back into the shell.  Having two
> different quoting modes, where you can choose between the options, may
> be the way to go - but then you STILL have the problem of what to pick
> as the default of those two modes when neither one was explicitly requested.
>   
----
    Seems like the default is to not put quotes.  That's what
is used now.  Why would you break it?